This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 767852 - dependency on fuse suggested
dependency on fuse suggested
Status: CLOSED RAWHIDE
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks: 836501
  Show dependency treegraph
 
Reported: 2011-12-14 20:21 EST by Pádraig Brady
Modified: 2016-01-04 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 836501 (view as bug list)
Environment:
Last Closed: 2012-05-02 05:33:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pádraig Brady 2011-12-14 20:21:47 EST
libguestfs-mount currently has an implicit dependency on libfuse.
It might be appropriate to have an explicit dependency on "fuse",
which would make the fusermount command available as well as the "fuse" group.
That in turn would allow non root uesrs to use libguestfs-mount.
Comment 1 Richard W.M. Jones 2012-05-02 05:33:30 EDT
Thanks, I've fixed the deps in Rawhide now:

http://pkgs.fedoraproject.org/gitweb/?p=libguestfs.git;a=commitdiff;h=890195b52f73e26944b876214164069a77a847b9

Note You need to log in before you can comment on or make changes to this bug.